local LrHttp = import "LrHttp"
local LrColor = import  "LrColor"

PluginManager = {}

function PluginManager.sectionsForTopOfDialog(f, p)
	
	return {
			-- section for the top of the dialog
			{
				title = LOC "$$$/PluginName=John's big note" .. LOC "$$$/PluginNameLong= (extra field in Metadata panel)",
				f:row {
					f:column{
						width = 150,
						f:picture {
							value = _PLUGIN:resourceId ('logo.png' ),
							frame_width = 0 ,
							frame_color = LrColor( 1, 1, 1 ),
						},
					},
					f:column{
						spacing =f:control_spacing(),
						f:push_button {
							title =  LOC "$$$/WebSite=John\'s web site",
							enabled = true,
							action = function()
								LrHttp.openUrlInBrowser(_G.URL)
							end,
						},
					},
					f:column{
						f:push_button {
							title = LOC "$$$/Amazon=Donation : via John\'s Amazon list",
							enabled = true,
							action = function()
								LrHttp.openUrlInBrowser(_G.Amazon)
							end,
						},
					},
				
				
				},

				f:row {
					f:static_text {
						title = 'Support: ',
					},
					f:static_text {
						title= _G.Grumble,
						fill_horizontal = 0,
					},
				},

				},
	
		}
end
